<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
    <pomVersion>3</pomVersion>
    <extend>${basedir}/../../etc/project.xml</extend>

    <name>ActiveMQ :: Core</name>
    <id>activemq-core</id>
    <description>ActiveMQ is an open source message broker and JMS 1.1 provider</description>
    <shortDescription>ActiveMQ JMS Message Broker</shortDescription>
  
    <package>org.codehaus.activemq</package>
    <packageGroups>
      <packageGroup>
        <title>Core JMS Client API</title>
        <packages>org.codehaus.activemq:org.codehaus.activemq.message</packages>
      </packageGroup>
      <packageGroup>
        <title>JMS Broker and Container</title>
        <packages>org.codehaus.activemq.broker:org.codehaus.activemq.broker.*</packages>
      </packageGroup>
      <packageGroup>
        <title>Management Statistics</title>
        <packages>org.codehaus.activemq.management</packages>
      </packageGroup>
      <packageGroup>
        <title>JNDI support</title>
        <packages>org.codehaus.activemq.jndi</packages>
      </packageGroup>
      <packageGroup>
        <title>Message filter and router</title>
        <packages>org.codehaus.activemq.filter:org.codehaus.activemq.filter.*:org.codehaus.activemq.selector</packages>
      </packageGroup>
      <packageGroup>
        <title>Security strategies and implementations</title>
        <packages>org.codehaus.activemq.security</packages>
      </packageGroup>
      <packageGroup>
        <title>Transport and WireFormat strategies and implementations</title>
        <packages>org.codehaus.activemq.transport:org.codehaus.activemq.transport.*</packages>
      </packageGroup>
      <packageGroup>
        <title>Message persistence strategies and implementations</title>
        <packages>org.codehaus.activemq.store:org.codehaus.activemq.store.*</packages>
      </packageGroup>
      <packageGroup>
        <title>Core router services</title>
        <packages>org.codehaus.activemq.service:org.codehaus.activemq.service.*</packages>
      </packageGroup>
      <packageGroup>
        <title>Utilities</title>
        <packages>org.codehaus.activemq.capacity:org.codehaus.activemq.message.util:org.codehaus.activemq.util</packages>
      </packageGroup>
    </packageGroups>
  
  <!-- ============ -->
  <!-- Dependencies -->
  <!-- ============ -->
  <dependencies>

    <!-- used to support optional transport configuration via URI query strings -->
    <dependency>
      <groupId>commons-beanutils</groupId>
      <artifactId>commons-beanutils</artifactId>    
    </dependency>

    <!-- parser for selectors -->
    <dependency>
      <groupId>javacc</groupId>
      <artifactId>javacc</artifactId>    
      <jar>JavaCC.zip</jar>
    </dependency>

    <!-- an optional discovery agent -->
    <dependency>
      <groupId>activecluster</groupId>
      <artifactId>activecluster</artifactId>    
    </dependency>

    <dependency>
      <groupId>commons-collections</groupId>
      <artifactId>commons-collections</artifactId>    
    </dependency>

    <!-- used when we implement rules based message dispatching -->
    <!--
    <dependency>
      <groupId>drools</groupId>
      <artifactId>drools-core</artifactId>    
      <version>&drools-core-version;</version>
    </dependency>
    -->

      <dependency>
          <groupId>jmock</groupId>
          <artifactId>jmock</artifactId>
          <url>http://jmock.codehaus.org/</url>
      </dependency>

      <dependency>
          <groupId>jmock</groupId>
          <artifactId>jmock-cglib</artifactId>
          <url>http://jmock.codehaus.org/</url>
      </dependency>

      <dependency>
          <groupId>cglib</groupId>
          <artifactId>cglib-full</artifactId>
          <url>http://cglib.sourceforge.net/</url>
      </dependency>

  </dependencies>

  <build>
    <nagEmailAddress>dev@activemq.codehaus.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>

    <integrationUnitTestSourceDirectory/>
    <aspectSourceDirectory/>

    <unitTest>
      <resources>
        <resource>
          <directory>src/test</directory>
          <includes>
            <include>**/*.properties</include>
            <include>**/*.xml</include>
          </includes>
        </resource>
      </resources>
      <includes>
        <include>**/*Test.*</include>
      </includes>
      <excludes>

        <!-- disable multicast related tests by default -->
        <exclude>**/multicast/*</exclude>

        <!-- not sure why these tests fail -->       
        <exclude>**/TransportChannelProviderTest.*</exclude>
	<!-- This test fail every once in while on win32 -->
        <exclude>**/ExceptionListener2Test.*</exclude>
	<!-- This test fails on linux -->
	<exclude>**/PeerTransportTest.*</exclude>
	<exclude>**/KeepAliveDaemonTest.*</exclude>
	<exclude>**/UdpTransportChannelTest.*</exclude>
 
        <!-- disable known bugs -->
        <exclude>**/JmsQueueXATransactionTest.*</exclude>

	<!-- This is failing on win32 -->
	<exclude>**/RemoteTransportTest.*</exclude>

      </excludes>
    </unitTest>

    <resources>
      <resource>
        <directory>src/conf</directory>
        <includes>
          <include>**/*</include>
        </includes>
      </resource>
    </resources>
  </build>


</project>
